const int analogInPin0 = A0;  // Analog input pin that the potentiometer is attached to
const int led4 = 4; // Analog output pin that the LED is attached to
const int analogInPin1 = A1;  // Analog input pin that the potentiometer is attached to
const int led5 = 5; // Analog output pin that the LED is attached to

void setup() {
  pinMode(led4, OUTPUT);
  pinMode(led5, OUTPUT); 
  Serial.begin(9600);
  Serial.println("# ");
  Serial.println("# PlanoInclinadoMicros_V10");
  Serial.println("# ");
}

int umbral=900;

int sensorValue0     = 0;        
int sensorValue0_old = 0;      
unsigned long int sensorTime0;
int sensorValue1     = 0;        
int sensorValue1_old = 0;      
unsigned long int sensorTime1;

unsigned long int times[4];
int c = 0;
int i = 0;

void loop() {
  
  sensorValue0 = analogRead(analogInPin0);        
  sensorTime0 = micros();
  
  sensorValue1 = analogRead(analogInPin1);        
  sensorTime1 = micros();
  
 
  if (sensorValue0 > umbral)
  {
    sensorValue0 = 1;
    digitalWrite(led4,HIGH);
    if (sensorValue0_old == 0 && c==1)
    { 
      c = 2;
      times[c]= sensorTime0;
    }
  } 
  else
  {
    sensorValue0 = 0;
    digitalWrite(led4,LOW);
    if (sensorValue0_old == 1 && c==2)
    { 
      c = 3;
      times[c]= sensorTime0;
    }
  }
  
  if (sensorValue1 > umbral)
  {
    sensorValue1 = 1;
    digitalWrite(led5,HIGH);
    if (sensorValue1_old == 0)
    { 
      c = 0;
      times[c]= sensorTime1;
    }
  } 
  else
  {
    sensorValue1 = 0;
    digitalWrite(led5,LOW);
    if (sensorValue1_old == 1 && c==0)
    { 
      c = 1;
      times[c]= sensorTime1;
    }   
  }
  
  sensorValue0_old = sensorValue0;
  sensorValue1_old = sensorValue1;
  
  if ( c == 3)
  {
    Serial.print(i);      
    Serial.print("\t");
    // Serial.print(times[0]);      
    // Serial.print("\t ");    
    // Serial.print(times[1]);      
    // Serial.print("\t ");
    // Serial.print(times[2]);      
    // Serial.print("\t ");
    // Serial.print(times[3]); 
    // Serial.print("\t ");
    Serial.print((times[2]-times[0])/1000.0); 
    Serial.print("\t");
    Serial.print((times[3]-times[1])/1000.0);
    Serial.print("\t");
    Serial.print((times[1]-times[0])/1000.0);
    Serial.print("\t");
    Serial.print((times[3]-times[2])/1000.0);
    Serial.println();
    i = i + 1;
    c = 4;
  }
  
  //delayMicroseconds(50);

}

